Cyberduck Mountain Duck CLI

#9739 closed defect (fixed)

Crash when attempting to edit a file in a directory that has a space at the end of its name

Reported by: erango Owned by: yla
Priority: normal Milestone: 5.3
Component: core Version: 5.1
Severity: normal Keywords: crash
Cc: Architecture:
Platform: Windows 10

Description

Problem: Cyberduck crashes when trying to edit a file that's inside a directory with a space at the end of its name.

Steps to reproduce:

  1. Create a directory (or rename one) with name = 'directory '. Note the space at the end of the name.
  2. Create a new file inside the new directory, or move a file inside it.
  3. Invoke the default editor for the file. Observe crash.

Workaround: do not name your folders stupid names that end with spaces.

Change History (3)

comment:1 Changed on Oct 24, 2016 at 9:22:45 AM by dkocher

  • Milestone set to 6.0
  • Owner set to yla
  • Version set to 5.1

comment:2 Changed on Jan 10, 2017 at 12:48:30 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r23330. Thanks for reporting this.

comment:3 Changed on Jan 11, 2017 at 8:33:37 AM by dkocher

  • Milestone changed from 6.0 to 5.3

Milestone renamed

Note: See TracTickets for help on using tickets.
swiss made software